;;; $Id: ex02-flat-recursion.tst,v 1.1 2004/01/27 00:25:02 leavens Exp leavens $

; (load "ex02-flat-recursion.scm")

(run-regression-tests-equal?
 `(
   ( (delete-even '(1 2 3 4)) ==> (1 3) )
   ( (delete-even '(2 3 4)) ==> (3) )
   ( (delete-even '(3 4)) ==> (3) )
   ( (delete-even '(4)) ==> () )
   ( (delete-even '()) ==> () )
   ( (delete-even '(12 6 5 20 12 6 3 10 1 342 541 641 8)) ==> (5 3 1 541 641) )
   ( (delete-even '(6 5 20 12 6 3 10 1 342 541 641 8)) ==> (5 3 1 541 641) )
   ( (delete-even '(5 20 12 6 3 10 1 342 541 641 8)) ==> (5 3 1 541 641) )
   ( (delete-even '(20 12 6 3 10 1 342 541 641 8)) ==> (3 1 541 641) )

   ( (nth-elt '(a b c) 0) ==> a )
   ( (nth-elt '(a b c) 1) ==> b )
   ( (nth-elt '(b c) 0) ==> b )
   ( (nth-elt '(a b c) 2) ==> c )
   ( (nth-elt '(b c) 1) ==> c )
   ( (nth-elt '(c) 0) ==> c )
   ( (nth-elt '("astr" "bstr" "cstr" "dstr" "estr") 0) ==> "astr" )
   ( (nth-elt '("astr" "bstr" "cstr" "dstr" "estr") 4) ==> "estr" )
   ( (nth-elt '("bstr" "cstr" "dstr" "estr") 3) ==> "estr" )
   ( (nth-elt '("cstr" "dstr" "estr") 2) ==> "estr" )
   ( (nth-elt '("dstr" "estr") 1) ==> "estr" )
   ( (nth-elt '("estr") 0) ==> "estr" )

   )
 )

