;;; $Id: vector-index.tst,v 1.1 2001/09/18 07:33:06 leavens Exp leavens $

(newline)
(newline)
(displayln "Test case of $Date: 2001/09/18 07:33:06 $")
(newline)

(define vos1 '#(a b c d))
(define vos2 '#(d c b a))

(run-regression-tests-equal?
 `(
   ( (vector-index zero? '#(9 8 0 1 0 3 0)) ==> 2 )
   ( (vector-index zero? '#(9 8 7 1 3)) ==> -1 )
   ( (vector-index odd? '#()) ==> -1 )
   ( (vector-index odd? '#(2 2 2 2 2 2 2 2 2 2 2 2 3 4 2)) ==> 12 )
   ( (vector-index (lambda (e) (eq? e 'a)) ',vos1) ==> 0 )
   ( (vector-index (lambda (e) (eq? e 'd)) ',vos1) ==> 3 )
   ( (vector-index (lambda (e) (eq? e 'a)) ',vos2) ==> 3 )
   ( (vector-index (lambda (e) (eq? e 'k)) ',vos1) ==> -1 )
   ( (vector-index (lambda (e) (eq? e 'b)) ',vos2) ==> 2 )
   ))

(newline)
(newline)
