;; $Id: bound-vars.tst,v 1.3 2001/10/30 07:07:34 leavens Exp $

(newline)
(displayln "Test case of $Date: 2001/10/30 07:07:34 $")
(newline)

(load-quietly-from-lib "set-equal.scm")
(load-quietly-from-lib "lambda-1+quote-exp.scm")

(define lexp1 '(lambda (x) (f x)))
(define lexp2 `(lambda (z) (,lexp1 (g (h y)))))
(define lexp3 `(lambda (f) ,lexp2))
(define lexp4 `(,lexp3 (car (cdr (x (y (quote z)))))))
(define lexp5 `(lambda (y) ,lexp4))
(define lexp6 `(lambda (f) ,lexp4))
(define lexp7 `(,lexp5 ,lexp2))

(define run-regression-tests-set-equal?
  ;; TYPE: (-> ((3-list scheme-exp symbol datum)) void)
  (run-regression-tests-maker
   cs342:left-protected-set-equal?
   pretty-print
   pretty-print))

(run-regression-tests-set-equal?
 `(
   ( (bound-vars (parse-lambda-1+quote-exp 'x)) = (cs342:set) )
   ( (bound-vars (parse-lambda-1+quote-exp '(quote z))) = (cs342:set) )
   ( (bound-vars (parse-lambda-1+quote-exp '(x y))) = (cs342:set) )
   ( (bound-vars (parse-lambda-1+quote-exp '(lambda (x) (lambda (x) y))))
     = (cs342:set) )
   ( (bound-vars (parse-lambda-1+quote-exp ',lexp1)) = (cs342:set 'x) )
   ( (bound-vars (parse-lambda-1+quote-exp ',lexp2)) = (cs342:set 'x) )
   ( (bound-vars (parse-lambda-1+quote-exp ',lexp3)) = (cs342:set 'f 'x) )
   ( (bound-vars (parse-lambda-1+quote-exp ',lexp4)) = (cs342:set 'f 'x) )
   ( (bound-vars (parse-lambda-1+quote-exp ',lexp5)) = (cs342:set 'y 'f 'x) )
   ( (bound-vars (parse-lambda-1+quote-exp ',lexp6)) = (cs342:set 'f 'x) )
   ( (bound-vars (parse-lambda-1+quote-exp ',lexp7)) = (cs342:set 'y 'f 'x) )
   )
 )

