;; $Id: bound.tst,v 1.2 2001/10/30 07:36:31 leavens Exp leavens $

(newline)
(displayln "Test case of $Date: 2001/10/30 07:36:31 $")
(newline)

(load-quietly-from-lib "set-equal.scm")
(load-quietly-from-lib "lambda-1+quote-exp.scm")

(define lexp1 '(lambda (x) (f x)))
(define lexp2 `(lambda (z) (,lexp1 (g (h y)))))
(define lexp3 `(lambda (f) ,lexp2))
(define lexp4 `(,lexp3 (car (cdr (x (y (quote z)))))))
(define lexp5 `(lambda (y) ,lexp4))
(define lexp6 `(lambda (f) ,lexp4))
(define lexp7 `(,lexp5 ,lexp2))

(run-regression-tests-equal?
 `(
   ( (bound? 'x (parse-lambda-1+quote-exp 'x))      ==> #f )
   ( (bound? 'z (parse-lambda-1+quote-exp '(quote z))) ==> #f )
   ( (bound? 'x (parse-lambda-1+quote-exp '(x y)))  ==> #f )
   ( (bound? 'g (parse-lambda-1+quote-exp ',lexp1)) ==> #f )
   ( (bound? 'f (parse-lambda-1+quote-exp ',lexp2)) ==> #f )
   ( (bound? 'f (parse-lambda-1+quote-exp ',lexp3)) ==> #t )
   ( (bound? 'x (parse-lambda-1+quote-exp ',lexp4)) ==> #t )
   ( (bound? 'z (parse-lambda-1+quote-exp ',lexp5)) ==> #f )
   ( (bound? 'y (parse-lambda-1+quote-exp ',lexp6)) ==> #f )
   ( (bound? 'y (parse-lambda-1+quote-exp ',lexp7)) ==> #t )
   )
 )

