;; $Id: comparisons.tst,v 1.1 2001/11/20 05:32:25 leavens Exp leavens $

(newline)
(displayln "Test case of $Date: 2001/11/20 05:32:25 $")
(newline)

(run-regression-tests-equal?
 `(
   ( (run "equal?(3, 3)") ==> 1 )
   ( (run "equal?(2, 3)") ==> 0 )
   ( (run "zero?(3)") ==> 0 )
   ( (run "zero?(0)") ==> 1 )
   ( (run "greater?(3, 3)") ==> 0 )
   ( (run "greater?(2, 3)") ==> 0 )
   ( (run "greater?(3, 2)") ==> 1 )
   ( (run "less?(3, 3)") ==> 0 )
   ( (run "less?(2, 3)") ==> 1 )
   ( (run "less?(3, 2)") ==> 0 )
   ( (run "equal?(3, +(2, 1))") ==> 1 )
   ( (run "zero?(sub1(3))") ==> 0 )
   ( (run "zero?(sub1(sub1(sub1(3))))") ==> 1 )
   ( (run "if 1 then 5 else 3") ==> 5 )
   ( (run "if 0 then 5 else 3") ==> 3 )
   ( (run "+(3, if 0 then 5 else 3)") ==> 6 )
   ( (run "if equal?(3,4) then 5 else if equal?(2,3) then 2 else 3") ==> 3 )
   ( (run "if zero?(sub1(sub1(sub1(3)))) then 10 else 20") ==> 10 )
   ( (run "if greater?(-(*(sub1(4), 3), 10), 2) then 10 else 20") ==> 20 )
   ( (run "if less?(-(*(sub1(4), 3), 9), 2) then 10 else 20") ==> 10 )
   ( (run "if zero?(sub1(sub1(sub1(3)))) then *(2,10) else -(20, 10)") ==> 20 )
   ( (run "if zero?(+(sub1(sub1(3)), 1)) then *(2,10) else -(20, 10)") ==> 10 )
   ( (run "if less?(-(sub1(sub1(3)), 1), 8) 
              then *(2,10) else -(20, 10)") ==> 20 )
   ))
