;;; $Id: flatten.tst,v 1.1 2001/09/18 07:25:51 leavens Exp leavens $

(newline)
(newline)
(displayln "Test case of $Date: 2001/09/18 07:25:51 $")
(newline)

(define slst1 '((f x) y (((x z) x) x) q))
(define slst2 (list slst1 slst1))

(run-regression-tests-equal?
 `(
   ( (flatten (parse-sym-exp 'x)) ==> (x) )
   ( (flatten (parse-sym-exp '(x (((y)))))) ==> (x y) )
   ( (flatten (parse-sym-exp '(x () y (x)))) ==> (x y x) )
   ( (flatten (parse-sym-exp '())) ==> () )
   ( (flatten (parse-sym-exp '(a b c))) ==> (a b c) )
   ( (flatten (parse-sym-exp ',slst1)) ==> (f x y x z x x q) )
   ( (flatten (parse-sym-exp ',slst2)) ==> (f x y x z x x q f x y x z x x q) )
   ))

(newline)
(newline)
