;;; $Id: swapper.tst,v 1.1 2001/09/18 07:01:05 leavens Exp leavens $

(newline)
(newline)
(displayln "Test case of $Date: 2001/09/18 07:01:05 $")
(newline)

(define lst1 (parse-s-list '(a b c d a b c d)))
(define lst2 (parse-s-list '((a b) (a b) ())))
(define lst3 (parse-s-list '((a () b (c a)) (a b (c) (d (((a)) b) e)))))


(run-regression-tests-equal?
 `(
   ( (swapper 'k 'a ',lst1) ==> (k b c d k b c d) )
   ( (swapper 'b 'a ',lst2) ==> ((b a) (b a) ()) )
   ( (swapper 'a 'k ',lst3) ==> ((k () b (c k)) (k b (c) (d (((k)) b) e))) )
   ( (swapper 'a 'k (swapper 'a 'k ',lst3))  
                          ==> ((a () b (c a)) (a b (c) (d (((a)) b) e))) )
   ( (swapper 'c 'a ',lst3) ==> ((c () b (a c)) (c b (a) (d (((c)) b) e))) )
   ( (swapper 'a 'b ',lst3) ==> ((b () a (c b)) (b a (c) (d (((b)) a) e))) )
   ( (swapper 'b 'k ',lst2) ==> ((a k) (a k) ()) )
   ))

(newline)
(newline)
