;;; $Id: total-width.tst,v 1.1 2004/03/11 15:50:04 leavens Exp leavens $

(newline)
(newline)
(displayln "Test case of $Date: 2004/03/11 15:50:04 $")
(newline)

(run-regression-tests-equal?
 `(
   ( (total-width (parse-window-layout '(window olympics 50 33))) ==> 50 )
   ( (total-width
       (parse-window-layout '(horizontal ))) ==> 0 )
   ( (total-width
       (parse-window-layout '(vertical ))) ==> 0 )
   ( (total-width
       (parse-window-layout '(horizontal (window olympics 80 33)
                                         (window local-news 20 10)))) ==> 100 )
   ( (total-width
       (parse-window-layout '(vertical (window olympics 80 33)
                                       (window local-news 20 10)))) ==> 80 )
   ( (total-width
       (parse-window-layout '(vertical (window star-trek 40 100)
                                       (window olympics 80 33)
                                       (window local-news 20 10)))) ==> 80 )
   ( (total-width
       (parse-window-layout
          '(horizontal
              (vertical (window tempest 200 100)
                        (window othello 200 77)
                        (window hamlet 1000 600))
              (horizontal (window baseball 50 40)
                          (window track 100 60)
                          (window equesterian 70 30))
              (vertical (window star-trek 40 100)
                        (window olympics 80 33)
                        (window local-news 20 10))))) ==> 1300 )
   ))

(newline)
(newline)
