;; $Id: free-vars.tst,v 1.3 2001/10/30 07:10:44 leavens Exp leavens $

(newline)
(newline)
(displayln "Test case of $Date: 2001/10/30 07:10:44 $")
(newline)

(load-quietly-from-lib "set-equal.scm")
(load-quietly-from-lib "lambda-1+quote-exp.scm")

(define lexp1 '(lambda (x) (f x)))
(define lexp2 `(lambda (z) (,lexp1 (g (h y)))))
(define lexp3 `(lambda (f) ,lexp2))
(define lexp4 `(,lexp3 (car (cdr (x (y (quote z)))))))
(define lexp5 `(lambda (y) ,lexp4))
(define lexp6 `(lambda (f) ,lexp4))
(define lexp7 `(,lexp5 ,lexp2))

(define run-regression-tests-set-equal?
  ;; TYPE: (-> ((3-list scheme-exp symbol datum)) void)
  (run-regression-tests-maker
   cs342:left-protected-set-equal?
   pretty-print
   pretty-print))


(run-regression-tests-set-equal?
 `(
   ( (free-vars (parse-lambda-1+quote-exp 'x)) = (cs342:set 'x) )
   ( (free-vars (parse-lambda-1+quote-exp '(quote x))) = (cs342:set ) )
   ( (free-vars (parse-lambda-1+quote-exp '(x y))) = (cs342:set 'x 'y) )
   ( (free-vars (parse-lambda-1+quote-exp ',lexp1)) = (cs342:set 'f) )
   ( (free-vars (parse-lambda-1+quote-exp ',lexp2))
     = (cs342:set 'f 'g 'h 'y) )
   ( (free-vars (parse-lambda-1+quote-exp ',lexp3))
     = (cs342:set 'g 'h 'y) )
   ( (free-vars (parse-lambda-1+quote-exp ',lexp4))
     = (cs342:set 'g 'h 'car 'cdr 'x 'y) )
   ( (free-vars (parse-lambda-1+quote-exp ',lexp5))
     = (cs342:set 'g 'h 'car 'cdr 'x) )
   ( (free-vars (parse-lambda-1+quote-exp ',lexp6))
     = (cs342:set 'g 'h 'car 'cdr 'x 'y) )
   ( (free-vars (parse-lambda-1+quote-exp ',lexp7))
     = (cs342:set 'car 'cdr 'x 'f 'g 'h 'y) )
   ( (free-vars
      (parse-lambda-1+quote-exp '((lambda (y) y) (lambda (x) (y x)))))
     = (cs342:set 'y) )
   ))


